Bug 170345 - Max number of scsi devices
Max number of scsi devices
Status: CLOSED DUPLICATE of bug 164511
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 17:12 EDT by Hari Kannan
Modified: 2010-10-21 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-13 11:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hari Kannan 2005-10-10 17:12:55 EDT
Description of problem:

When more than 512 scsi devices are presented to the system, the /proc reports
"out of memory".  In this scenario, 1024 scsi devices were presented to the
system. About 896 dfevices were reported in /sys/block. 
When attempting to 'cat /proc/scsi/scsi', the system reported "proc : out of memory"

Version-Release number of selected component (if applicable):
Tested on RHEL 4 U2 kernel Kernel - 2.6.9-22.EL, i686, smp

How reproducible:
Happens everytime.

Steps to Reproduce:
1. Present 1024 devices to the system
2. Scan the HBA's in the system
3. cat /proc/scsi/scsi

Problem is seen.
  
Actual results:
Proc filesystem reports out of memory. System memory still reports over 2GB of
unused RAM space. 

Expected results:
/proc/scsi/scsi should report all the scsi devices. Sysfs should report block
devices for all the LUNS seen. The system should operate fine under normal load.

Additional info:

We would also like to know what the current number of LUNS RHEL 4 U2 supports
and what is planned for RHEL 4 U3

Note You need to log in before you can comment on or make changes to this bug.